Page MenuHomePhabricator

PHP Warning: [data-update-failed]: A data update callback triggered an exception (Wikimedia\Rdbms\Database::makeList: empty input for field wbxl_text_id) [Called from Wikibase\Repo\Content\DataUpdateAdapter::doUpdate in /extensions/Wikibase/repo/includes/Content/DataUpdateAdapter.php at line 62]
Closed, ResolvedPublic

Description

Error

MediaWiki version: 1.35.0-wmf.3

message
PHP Warning: [data-update-failed]: A data update callback triggered an exception (Wikimedia\Rdbms\Database::makeList: empty input for field wbxl_text_id) [Called from Wikibase\Repo\Content\DataUpdateAdapter::doUpdate in /extensions/Wikibase/repo/includes/Content/DataUpdateAdapter.php at line 62]

Impact

Notes

This might be the reason behind T232393: Find out why rebuilding some items in new term store failed but definitely needs to be fixed ASAP given the errors.

Details

Request ID
XbLK9QpAEDEAAAoH18YAAACW
Request URL
/w/api.php
Stack Trace
exception.trace
#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array)
#1 /includes/debug/MWDebug.php(333): trigger_error(string, integer)
#2 /includes/debug/MWDebug.php(188): MWDebug::sendMessage(string, array, string, integer)
#3 /includes/GlobalFunctions.php(1079): MWDebug::warning(string, integer, integer, string)
#4 /extensions/Wikibase/lib/includes/Reporting/LogWarningExceptionHandler.php(28): wfLogWarning(string, integer)
#5 /extensions/Wikibase/repo/includes/Content/DataUpdateAdapter.php(62): Wikibase\Lib\Reporting\LogWarningExceptionHandler->handleException(InvalidArgumentException, string, string)
#6 /includes/deferred/DeferredUpdates.php(385): Wikibase\Repo\Content\DataUpdateAdapter->doUpdate()
#7 /includes/Storage/DerivedPageDataUpdater.php(1630): DeferredUpdates::attemptUpdate(Wikibase\Repo\Content\DataUpdateAdapter, Wikimedia\Rdbms\LBFactoryMulti)
#8 /includes/Storage/DerivedPageDataUpdater.php(1446): MediaWiki\Storage\DerivedPageDataUpdater->doSecondaryDataUpdates(array)
#9 /includes/deferred/MWCallableUpdate.php(38): MediaWiki\Storage\DerivedPageDataUpdater->MediaWiki\Storage\{closure}()
#10 /includes/deferred/DeferredUpdates.php(385): MWCallableUpdate->doUpdate()
#11 /includes/deferred/DeferredUpdates.php(283): DeferredUpdates::attemptUpdate(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti)
#12 /includes/deferred/DeferredUpdates.php(228): DeferredUpdates::run(MWCallableUpdate, Wikimedia\Rdbms\LBFactoryMulti, Monolog\Logger, BufferingStatsdDataFactory, string)
#13 /includes/deferred/DeferredUpdates.php(150): DeferredUpdates::handleUpdateQueue(array, string, integer)
#14 /includes/MediaWiki.php(1053): DeferredUpdates::doUpdates(string)
#15 /includes/MediaWiki.php(833): MediaWiki->restInPeace()
#16 /includes/MediaWiki.php(842): MediaWiki->{closure}()
#17 /api.php(118): MediaWiki->doPostOutputShutdown()
#18 /srv/mediawiki/w/api.php(3): require(string)
#19 {main}
Related Gerrit Patches:
mediawiki/extensions/Wikibase : wmf/1.35.0-wmf.3Shorten out when there's nothing to clean up
mediawiki/extensions/Wikibase : wmf/1.35.0-wmf.4Shorten out when there's nothing to clean up
mediawiki/extensions/Wikibase : masterShorten out when there's nothing to clean up

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFri, Oct 25, 10:20 AM

Change 546671 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@master] Shorten out when there's nothing to clean up

https://gerrit.wikimedia.org/r/546671

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMon, Oct 28, 6:14 PM
Maintenance_bot moved this task from Incoming to In progress on the User-Ladsgroup board.

Change 546671 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Shorten out when there's nothing to clean up

https://gerrit.wikimedia.org/r/546671

Change 547235 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.4] Shorten out when there's nothing to clean up

https://gerrit.wikimedia.org/r/547235

Change 547236 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.3] Shorten out when there's nothing to clean up

https://gerrit.wikimedia.org/r/547236

Change 547235 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.4] Shorten out when there's nothing to clean up

https://gerrit.wikimedia.org/r/547235

Mentioned in SAL (#wikimedia-operations) [2019-10-30T15:41:46Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.4/extensions/Wikibase: Wikibase deadlock reduction, [[gerrit:547236|Shorten out when there is nothing to clean up]] (T236466) (duration: 01m 05s)

Change 547236 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.3] Shorten out when there's nothing to clean up

https://gerrit.wikimedia.org/r/547236

Mentioned in SAL (#wikimedia-operations) [2019-10-30T15:46:08Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.3/extensions/Wikibase: Wikibase deadlock reduction, [[gerrit:547236|Shorten out when there is nothing to clean up]] (T236466) (duration: 01m 06s)

Mentioned in SAL (#wikimedia-operations) [2019-10-30T16:02:20Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.3/extensions/Wikibase: Wikibase deadlock reduction, [[gerrit:547243|Stop locking and use DISTINCT when finding used terms to delete]] (T236466) (duration: 01m 05s)

Mentioned in SAL (#wikimedia-operations) [2019-11-04T15:33:35Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.4/extensions/Wikibase: Wikibase deadlock reduction, [[gerrit:548279|Stop locking and use DISTINCT when finding used terms to delete]] (T236466) (duration: 00m 59s)

Mentioned in SAL (#wikimedia-operations) [2019-11-12T11:47:17Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.4/extensions/Wikibase: Wikibase term store error reduction, [[gerrit:550441|Do not catch DBError in ReplicaMasterAwareRecordIdsAcquirer.]] (T236466) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2019-11-12T11:47:17Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.4/extensions/Wikibase: Wikibase term store error reduction, [[gerrit:550441|Do not catch DBError in ReplicaMasterAwareRecordIdsAcquirer.]] (T236466) (duration: 00m 56s)

Wrong ticket. Sorry.